# データの解像度と保存

## イベントデータの解像度 <a href="#dataresolutionandretention-eventdataresolution" id="dataresolutionandretention-eventdataresolution"></a>

より効率的なトラブルシューティングを可能にするために、運用データのメトリクスは、高解像度（5分または15分）と低解像度（日単位）で利用可能です。

{% hint style="info" %}
VDIエクスペリエンスライセンスでは、VDIメトリクスの30秒間隔の超高解像度が利用可能です。 詳細は[https://docs.nexthink.com/ja/nql-syntax-overview/nql-time-selection.md#nqltimeselection-timegranularityandretention-1](https://docs.nexthink.com/ja/nql-syntax-overview/nql-time-selection.md#nqltimeselection-timegranularityandretention-1 "mention") ドキュメントをご覧ください。
{% endhint %}

高解像度データにアクセスするには、`過去の`節で分または時間で表現される期間を使用する必要があります。

```sql
devices during past 24h
| include session.events during past 24h 
| compute total_user_interaction = user_interaction_time.sum() 
| where total_user_interaction > 8h
| list device.name, total_user_interaction 
```

低解像度データにアクセスするには、`過去の`節で日数で表現される期間を使用する必要があります。

```sql
devices during past 30d
| include session.events during past 30d 
| compute total_user_interaction = user_interaction_time.sum() 
| where total_user_interaction > 10d
| list device.name, total_user_interaction 
```

運用データメトリクスとは対照的に、トレンドデータメトリクスは、1日または7日間の低解像度でのみ利用可能です。

## データカテゴリごとの保持期間 <a href="#dataresolutionandretention-retentionperdatacategory" id="dataresolutionandretention-retentionperdatacategory"></a>

データ保持期間とは、特定のデータセットがダッシュボードや調査を通じて保存およびアクセス可能な期間を指します。 次の表は、データカテゴリ別の一般的な保持規則を要約しています。 保持期間はデフォルトのプラットフォーム設定を表しています。 [データ管理](/platform/ja/user-guide/administration/content-management/data-management.md) ページでそれらをカスタマイズできます。

[ライセンス](/platform/ja/user-guide/administration/system-configuration/license.md)ドキュメントを参照して、データ保持の変更がライセンスのカウントにどのような影響を与えるかを学びましょう。

<table><thead><tr><th width="89">データカテゴリ</th><th width="137">データサブカテゴリ</th><th width="246">保持</th><th>例</th></tr></thead><tbody><tr><td>オブジェクト</td><td>インベントリオブジェクト</td><td>デフォルトでは、オブジェクトの最後のアクティビティから<strong>30日</strong>です。</td><td><p><code>devices</code></p><p><code>mobile_devices</code></p><p><code>users</code></p><p><code>binaries</code></p><p><code>packages</code></p></td></tr><tr><td>オブジェクト</td><td>構成オブジェクト</td><td><strong>無期限</strong>、Nexthinkアカウントによって削除されるまで</td><td><p><code>campaigns</code></p><p><code>remote_actions</code></p><p><code>workflows</code></p><p><code>monitors</code></p></td></tr><tr><td>イベント</td><td>運用データ</td><td><p>デフォルトでは、イベントの時点から<strong>30日</strong>です。</p><p><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> 例外：</p><ul><li>高解像度の<code>execution.events</code>、<code>connection.events</code>、<code>connection.tcp_events</code>および<code>connection.udp_events</code>は14日間保持されます。 さらに、単一のクエリでアクセスできるデータは最大8日間です。</li><li>VDI用の30秒の高解像度データは過去48時間のみ保持されます。</li><li><code>agent.conversations</code> は最大365日間保持されます。 単一のクエリで最大90日間のデータにアクセスできます。</li></ul></td><td><p><code>execution.events</code></p><p><code>execution.crashes</code></p><p><code>device_performance.events</code></p><p><code>device_performance.mobile_events</code></p><p><code>remote_action.executions</code></p><p><code>workflow.executions</code></p><p><code>web.events</code></p></td></tr><tr><td>イベント</td><td>トレンドデータ</td><td><p>使用ケースに応じて、<strong>90日から13ヶ月</strong>です。</p><ul><li>ソフトウェアメータリング: 90日間</li><li>Webアプリケーショントレンド: 90日間</li><li>リモートアクション実行サマリー: 13ヶ月</li><li>ワークフロー実行サマリー: 13ヶ月</li><li>カスタムトレンド: 13ヶ月</li><li>DEXトレンド: 13ヶ月</li><li>AI ツール：13 か月</li></ul><p><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> 例外：</p><p>キャンペーンデータ (<code>campaign.*</code>) は無期限に保存されます。</p></td><td><p><code>custom_trend.*</code></p><p><code>software_metering.events</code></p><p><code>remote_action.executions_summary</code></p><p><code>workflow.executions_summary</code></p><p><code>ai.interactions_summary</code><br></p><p><span data-gb-custom-inline data-tag="emoji" data-code="2139">ℹ️</span> WebアプリケーションとDEXトレンドはNQLでは利用できず、関連モジュールダッシュボードでのみ利用可能です。</p></td></tr><tr><td>イベント</td><td>監査ログ</td><td><strong>イベントから180日間</strong></td><td><code>platform.audit_logs</code></td></tr><tr><td>イベント</td><td>実行ログ</td><td><strong>イベントから30日間</strong></td><td><code>platform.custom_trends_logs</code><br><code>platform.data_export_logs</code></td></tr><tr><td>イベント</td><td>Nexthink使用データ</td><td><strong>イベント発生から90日</strong></td><td><code>usage.account_actions</code></td></tr></tbody></table>

{% hint style="info" %}
NQL の `last_seen` フィールドは、Nexthinkインスタンスへのすべてのデバイス接続（例：TCPハンドシェイクやリモートアクション）を考慮していないため、デバイスの保持期間の信頼できる指標ではありません。 [NQLデータモデル](/platform/ja/understanding-key-data-platform-concepts/nql-data-model.md#device_device)および[デバイス最終アクティビティの監視](https://edocs.nexthink.com/ja/nexthink-infinity/infinity-specifications/monitoring-device-last-activity)を参照してください。
{% endhint %}

## モジュール内のデータ可用性 <a href="#dataresolutionandretention-dataavailabilityinmodules" id="dataresolutionandretention-dataavailabilityinmodules"></a>

製品モジュールを利用して、上記のオブジェクトおよびイベントデータにアクセスできます。 使用可能なデータの期間は、特定のモジュールの過去のデータをどれだけ遡って取得できるかを示しています。

| モジュール                     | 利用可能なデータ                                       |
| ------------------------- | ---------------------------------------------- |
| アラート概要                    | 30日間                                           |
| AIツール                     | 13か月                                           |
| アプリケーション - デスクトップアプリケーション | 14日間                                           |
| アプリケーション - Webアプリケーション    | <p>30日間 - 運用データ</p><p>90日間 - トレンドデータ</p>       |
| キャンペーン                    | 10年間                                           |
| デスクトップ仮想化                 | <p>2日間 - 30秒のデータ解像度<br>30日間 - 5分のデータ解像度</p>    |
| Device View               | 30日間\*                                         |
| 診断ビュー                     | 14日間                                           |
| デジタル体験                    | 395日間                                          |
| ライブダッシュボード                | <p>30 日間 - 運用データ</p><p>395 日間 - トレンドデータ</p>    |
| Remote Actions            | <p>30日 - 操作データ</p><p>395日 - トレンドデータ</p>        |
| ソフトウェアメータリング              | 90日間                                           |
| スパーク                      | <p>30日間（デフォルト） - 完全な会話<br>90日間 - まとめた会話データ</p> |
| ワークフロー                    | 30日間                                           |

\* ディスプレイに表示される時間数は画面解像度によって異なります。

{% hint style="info" %}
NexthinkのWebインターフェースに表示されるすべての時刻関連データは、ユーザーのタイムゾーンに変換されます。
{% endhint %}

***

関連トピック

* [データ管理](/platform/ja/user-guide/administration/content-management/data-management.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nexthink.com/platform/ja/understanding-key-data-platform-concepts/data-resolution-and-retention.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
